Subject: Books on Chinese computing

From: Carlos McEvilly <[email-masked]>
Date: Mon, 8 Jul 1991 22:56:20 EST

Someone asked about books on Chinese computing a couple months ago,
and I just finished going through the logs since then (I'm new here)
and didn't see any replies.  Here are the names of some.

1.
CMEX Gui1ge2 shuo1ming2 ji2 shi2yong4 (CMEX Specification Explanation
and Usage) (sorry about my poor translation)
June, 1990; ISBN 957-23-0114-4; price NT$320 (approx. $12 US)

CMEX is the Chinese Microcomputer Extended (sic) Foundation, a
group based in Taipei with members including Hewlett Packard, Digital,
ETen, Wang, NEC, Epson, III (Inst. for Information Industry), TCA
(Taipei Computer Association), Acer, 01 Computer, and several other
companies in Taiwan.  The CMEX office is based on the campus of the
Tatung Institute, which is run by the Tatung Co., at 40 Chungshan North
Rd., Sec. 3, Taipei, Taiwan, R.O.C.  The phone number of CMEX is
886-2-592-5252.

2. CMEX Ruan2ti3 Fa1zhan3 Zhi3yin3 (CMEX Software Development Guide)
(again, my translation)
June, 1990; ISBN 957-23-0115-2; price NT$150 (approx. $6 US)

This book is also published by CMEX.  Both of these books are full of
assembly language examples commented in Chinese.  Many variable names are
descriptive enough that a knowledge of assembly language would compensate
for a weakness in Chinese.  BTW, I think Microsoft is also very much
involved in the specification of CMEX.  Does anyone know more about this?

3. Yi2tian1 Zhong1wen2 Xi1tong3 Ji4shu4 Shou3ce4 (ETen Chinese System
technical handbook) (my translation)
January 1991; ISBN 957-504-019-8; price NT$300 (approx. $11 US)

This is one of a small slew of new books published by the ETen Company.
Most of the other titles in this slew are of less interest; i.e.
a beginner's manual, some books teaching input methods, and a thick
directory of names and addresses of companies in Taiwan developing
software that works with the ETen Chinese system.  Oh, I think there is
also a new book from ETen with character conversion tables, although I
don't think it includes GB -- I'll check into this.

4. An Introduction to Chinese, Japanese, and Korean Computing
by Jack K. T. Huang and Timothy D. Huang; Singapore: World Scientific
Publishing, 1989, xxi+437 pp. (Series in Computer Science, vol. 12)
ISBN 9971-50-664-5; price $78 US :-C

There is a flaming review of this in Computational Linguistics Vol. 16,
no. 4, Dec. 1990, from which the above bibliographic information is
lifted.  Wait! That's vol. 16, no. 4, not no. 14.  Sorry, I'm still
learning how to use this editor.

5. Zhong1wen2 Zi4ma3 (Chinese Character Codes) by Huang Dayi (Timothy
D. Huang, co-author of number 4, above).  Da is "big", that da, and yi
is the yi of yi, er, san.  English title is my translation.
April, 1990; ISBN 957-9064-00-8; price $NT220

This ranting review of twelve(?) character coding schemes (including for
Japanese and Korean) is full of colorful examples in Chinese of the
problems of character coding.  I haven't yet read #4, above, but guess
from the review in Computational Linguistics that this might be the same
book.  Basically a hard-sell for CCCII.  If you can't find it in a big
east asiatic library collection, the one bookstore I know of that stocks
it is Beimen Shucheng (North Gate Book Town), a hole in the wall at
209 Chunghsiao West Rd., Sec. 1, 2nd floor, Taipei, Taiwan, R.O.C.
It includes a fair amount of technical information, i.e. code ranges.

For more sources, some librarians have compiled extensive bibliographies
on Chinese libraries/libraries in China.  I'll post the name of one of
these as soon as I can get a chance to look it up.

What other books are out there?  Has anyone done an English-language
version of a basic ETen manual?

Carlos McEvilly